# API reference

This API reference is organized by resource type. Each resource type has one or more data
representations and one or more methods.

## Groups

For Groups Resource details, see the
[resource representation](https://developers.google.com/workspace/admin/groups-settings/v1/reference/groups#resource) page.

| Method | HTTP request | Description |
|---|---|---|
| URIs relative to https://www.googleapis.com/groups/v1/groups, unless otherwise noted |||
| [get](https://developers.google.com/workspace/admin/groups-settings/v1/reference/groups/get) | `GET /groupUniqueId` | Retrieves a group's settings identified by the group email address. |
| [update](https://developers.google.com/workspace/admin/groups-settings/v1/reference/groups/update) | `PUT /groupUniqueId` | Updates an existing group's settings, which is identified by the group email address. |
| [patch](https://developers.google.com/workspace/admin/groups-settings/v1/reference/groups/patch) | `PATCH /groupUniqueId` | Updates an existing resource. This method supports patch semantics. |